Skip to content
GET /observability-destination

Response Body

limitnumber
next_cursorstring
resultobject[]
configRecord<string, any>

Non-secret destination configuration (site, tags, log_types filter).

created_atstring · date-time
environment_idstring · uuid

The environment whose logs are forwarded.

idstring · uuid

The ID of the observability destination.

is_activeboolean

Whether forwarding is enabled.

namestring

Human-readable destination name.

typestring

Destination type.

Possible values:
datadogsplunk_hecsentinel
updated_atstring · date-time
curl -X GET 'https://api.truto.one/observability-destination' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/observability-destination', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/observability-destination"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())